package org.tinyjee.maven.dim.extensions;

import com.thoughtworks.qdox.model.*;
import org.tinyjee.maven.dim.utils.AbstractSelectableJavaEntitiesList;

import java.util.Collection;
import java.util.Map;

/**
 * Implements {@link AbstractSelectableJavaEntitiesList} to let it host output from {@link JavaSourceLoader}.
 *
 * @author Juergen_Kellerer, 2011-10-10
 */
public class SelectableMappedJavaEntitiesList extends AbstractSelectableJavaEntitiesList<Map<?, ?>> {

	private static final long serialVersionUID = -1483709242125352523L;

	private final String qdoxEntityKey;

	public SelectableMappedJavaEntitiesList(Collection<? extends Map<?, ?>> maps, String qdoxEntityKey) {
		super(maps);
		this.qdoxEntityKey = qdoxEntityKey;
	}

	public SelectableMappedJavaEntitiesList(String qdoxEntityKey) {
		this.qdoxEntityKey = qdoxEntityKey;
	}

	@Override
	protected Object unwrap(Map<?, ?> element) {
		return element.get(qdoxEntityKey);
	}

	@Override
	@SuppressWarnings("unchecked")
	public SelectableMappedJavaEntitiesList clone() {
		return (SelectableMappedJavaEntitiesList) super.clone();
	}
}
