package org.tinyjee.maven.dim.utils;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import java.util.AbstractList;

/**
 * Adapts NodeList to Java Collections.
 *
 * @author Juergen_Kellerer, 2011-10-30
 */
public class NodeListAdapter extends AbstractList<Node> {

	private final NodeList nodeList;

	public NodeListAdapter(NodeList nodeList) {
		this.nodeList = nodeList;
	}

	@Override
	public Node get(int index) {
		return nodeList.item(index);
	}

	@Override
	public int size() {
		return nodeList == null ? 0 : nodeList.getLength();
	}
}
